#if in ? level
execute as @a[scores={level=0}] at @s run function realms:0/main
execute as @a[scores={level=1}] at @s run function realms:1/main
execute as @a[scores={level=2}] at @s run function realms:2/main
execute as @a[scores={level=3}] at @s run function realms:3/main
execute as @a[scores={level=4}] at @s run function realms:4/main
execute as @a[scores={level=5}] at @s run function realms:5/main

#store Y level
execute as @a store result score @s ylevel run data get entity @s Pos[1]

#lobby item
execute as @a[scores={level=1..},predicate=realms:lobby] run function realms:lobby
execute as @a[scores={level=1..}] store result score @s item_count run clear @s leather_chestplate{lobby:1b} 0
execute as @a[scores={level=1..,item_count=0}] run function realms:lobby
execute as @a[scores={level=1..}] unless score @s item_count matches 1 run function realms:lobby
execute as @a[scores={level=1..,milisec=50}] run item replace entity @s hotbar.8 with leather_chestplate{display:{Name:'{"text":"❌ LOBBY ❌","color":"red","italic":false}',color:16711680},lobby:1b} 1

#restart item
execute as @a[scores={level=1..},predicate=realms:restart] run function realms:restart
execute as @a[scores={level=1..}] store result score @s item_count1 run clear @s leather_chestplate{restart:1b} 0
execute as @a[scores={level=1..,item_count1=0}] run function realms:restart
execute as @a[scores={level=1..}] unless score @s item_count1 matches 1 run function realms:restart

#leave/join
scoreboard players add #global globalticks 1
scoreboard players add @a globalticks 1
execute as @a unless score @s globalticks = #global globalticks run function realms:join
scoreboard players operation @a globalticks = #global globalticks

team join team @a[team=!team]

#kill chestplate items
execute as @e[type=item,tag=!processed] run function realms:processitem

#set score on first time join
execute as @a unless entity @s[tag=scores] run function realms:first_time_join
execute as @a[tag=!scores] if score @s challenge matches 0 run tag @s add scores

#effects
effect give @a saturation 100000 255 true

#medals
execute as @a run clear @s player_head
execute as @a run loot replace entity @s container.22 loot realms:medals
