#did not start
execute if entity @s[tag=!playing] if block ~ ~-.1 ~ oak_log run function realms:4/did_not_start


#set checkpoint
execute unless score @s checkpoint matches 1 at @e[type=marker,tag=level4.3] if entity @s[distance=...8] run function realms:4/checkpoint
execute unless score @s checkpoint matches 2 at @e[type=marker,tag=level4.4] if entity @s[distance=...8] run function realms:4/checkpoint


execute at @e[type=marker,tag=level4.3] if entity @s[distance=...8] run scoreboard players set @s checkpoint 1
execute at @e[type=marker,tag=level4.4] if entity @s[distance=...8] run scoreboard players set @s checkpoint 2

#if y level = ? and checkpoint check
execute unless entity @s[x=439,y= 57,z= -424,dx=8,dy=10,dz=9] if score @s checkpoint matches 0 if score @s ylevel matches ..57 run particle dust 0.000 1.000 0.000 1 ~ ~ ~ 0.5 .1 0.5 0 100 force @a
execute unless entity @s[x=439,y= 57,z= -424,dx=8,dy=10,dz=9] if score @s checkpoint matches 0 if score @s ylevel matches ..57 run function realms:4/restart

execute unless entity @s[x=439,y= 57,z= -424,dx=8,dy=10,dz=9] if score @s checkpoint matches 1.. if score @s ylevel matches ..57 run particle dust 0.000 1.000 0.000 1 ~ ~ ~ 0.5 .1 0.5 0 100 force @a
execute unless entity @s[x=439,y= 57,z= -424,dx=8,dy=10,dz=9] if score @s checkpoint matches 1.. if score @s ylevel matches ..57 run function realms:4/last_checkpoint

execute if score @s checkpoint matches 1 if score @s ylevel matches ..69 run particle dust 0.000 1.000 0.000 1 ~ ~ ~ 0.5 .1 0.5 0 100 force @a
execute if score @s checkpoint matches 1 if score @s ylevel matches ..69 run function realms:4/last_checkpoint

execute if score @s checkpoint matches 2 if score @s ylevel matches ..85 run particle dust 0.000 1.000 0.000 1 ~ ~ ~ 0.5 .1 0.5 0 100 force @a
execute if score @s checkpoint matches 2 if score @s ylevel matches ..85 run function realms:4/last_checkpoint

#effects clear
execute if entity @e[tag=4particle1,distance=..1] run scoreboard players set @s effect 40
execute if entity @e[tag=4particle2,distance=..1] run scoreboard players set @s effect 50
scoreboard players remove @a[scores={effect=1..}] effect 1

#challenge

execute unless score @s effect matches 1.. if score @s[tag=playing] challenge matches 1 run effect give @s darkness 2 1 false

execute unless score @s effect matches 1.. if score @s[tag=playing] challenge matches 2 run effect give @s poison 3 1 false
execute unless score @s effect matches 1.. if score @s[tag=playing] challenge matches 2 run effect give @s jump_boost 3 1 true

execute unless score @s effect matches 1.. if score @s[tag=playing] challenge matches 3 run effect give @s jump_boost 3 1 true
execute unless score @s effect matches 1.. if score @s[tag=playing] challenge matches 3 run effect give @s slow_falling 3 1 false

execute if score @s[tag=playing,scores={effect=1..}] challenge matches 1 run effect clear @s darkness

execute if score @s[tag=playing,scores={effect=1..}] challenge matches 2 run effect clear @s poison
execute if score @s[tag=playing,scores={effect=1..}] challenge matches 2 run effect clear @s jump_boost

execute if score @s[tag=playing,scores={effect=1..}] challenge matches 3 run effect clear @s jump_boost
execute if score @s[tag=playing,scores={effect=1..}] challenge matches 3 run effect clear @s slow_falling




#clear zones
execute if score @s challenge matches 1..3 run function realms:4/clear_zones

#particles
scoreboard players add @e[tag=4particle1] particle 1
execute if score @s challenge matches 1..3 if entity @e[tag=4particle1,scores={particle=20}] run function realms:4/particles
scoreboard players set @e[tag=4particle1,scores={particle=20..}] particle 0

#check for reset when playing
execute unless entity @s[x=-569,y= 92,z= 80,dx=6,dy=5,dz=6] run function realms:4/check_reset

#update enderchest
function realms:4/enderchest

#actionbar
function realms:4/actionbar

#detect start 
execute at @e[type=marker,tag=level4.1] if entity @s[distance=...8] run function realms:4/start

#detect end
execute at @e[type=marker,tag=level4.2] if entity @s[distance=...8] if entity @s[tag=playing] run function realms:4/end

#end timer reset
scoreboard players add @a[tag=end] endtimer 1
execute if score @s endtimer matches 60.. run function realms:4/restart


#add time
execute if entity @s[tag=playing] run function realms:4/add_time

#enderchest check
execute if entity @s[x=457,y= 61,z= -383,dx=13,dy=6,dz=13] run function realms:4/enderchest_check
